Soporte » Guías – Resolución de problemas » Librerías jQuery obsoletas tras update 5.6

  • Hice la actualización de wordpress a la versión 5.6 y ahora cada que quiero hacer una nueva entrada o editar una existente me sale un pantalla en blanco, sin más, ni error. Tengo wp-debug en True y no me arroja ningún error. La url es vidamoderna.com

    Debo decir que el sitio funciona bien, lo único que ocurre es que no puedo agregar entradas ni editar. Aumenté el límite de memoria a 256, desactivé todos los plugins y nada, ninguno me está ocasionando el problema.

    Lo que me indica el jQuery Migrate Helper es que tengo librerías obsoletas, ya escribí al soporte del tema.

Viendo 15 respuestas - de la 1 a la 15 (de un total de 20)
  • Moderador almendron

    (@almendron)

    Pero.. ¿sigues teniendo el problema aún estando activo jQuery Migrate Helper?

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Si, sigue el problema de no poder editar o crear nuevas entradas porque se pone la pantalla en blanco. No sé si hacer una restauración a 72 horas antes.

    Moderador almendron

    (@almendron)

    En consola aparece el siguiente error:

    Uncaught TypeError: document.body is null
        <anonymous> https://chimpstatic.com/mcjs-connected/js/users/c631ee8bd1d23cb9b07c07986/87296eb6e487e211054f9b788.js:45
        <anonymous> https://chimpstatic.com/mcjs-connected/js/users/c631ee8bd1d23cb9b07c07986/87296eb6e487e211054f9b788.js:48
    87296eb6e487e211054f9b788.js:45:5
    Moderador almendron

    (@almendron)

    No hace falta que restaures. Puedes volver a una versión anterior de WordPress con https://es.wordpress.org/plugins/wp-downgrade/

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Disculpa, no soy un desarrollador, ese error se corrige volviendo a la versión anterior de WordPress?

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Volví a la versión 5.5.3 de wordpress y con el DEBUG activado me arrojó un problema con un plugin, lo desactive y aún así continúo sin poder crear o editar entradas. El JQuery Migrate sigue mostrándome librerías obsoletas. Estoy usando la versión 7.4 de PHP.

    https://ibb.co/jbTNfVW

    Moderador almendron

    (@almendron)

    El problema es del plugin «Mailchimp for WooCommerce». Sigue presente así que no se ha corregido con el cambio de versión de WordPress.

    La lista de librerías obsoletas se van guardando y te las muestra todas. Limpia esa lista.

    Moderador almendron

    (@almendron)

    Vamos a dejar a un lado los errores de la consola porque, a priori, no deberían provocar el fallo que comentas respecto a la edición de entradas.

    En estos caso, solo cabe seguir la prueba estándar:

    Cambia de tema y activa alguno de los que trae por defecto WordPress. Comprueba.

    Dime si se soluciona el problema.

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Activé el tema Twenty Twenty-One y probé con todos los plugins desactivados y activados y aún así no puedo crear o editar entradas. Volví a activar mi tema.

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Cuando intento entrar a la url https://vidamoderna.com/wp-admin/post-new.php me arroja este aviso jQuery.expr[\’:\’] is deprecated; use jQuery.expr.pseudos en esta ubicación https://vidamoderna.com/wp-admin/js/iris.min.js

    Moderador almendron

    (@almendron)

    No sé si hacer una restauración a 72 horas antes.

    Me temo que es la única opción que tienes ahora mismo.

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Lo haré, ayer hice una al día anterior a la actualización y el problema, por alguna razón persistía, me iré 24 horas más atrás de esa.

    Moderador almendron

    (@almendron)

    No entiendo por qué te salen avisos en archivos de WordPress.

    ¿Qué versión tenías instalada antes de la actualización?

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Nada, restauración a 72 horas antes de la actualización sigue el problema de no poder crear y editar entradas.

    Iniciador del debate vidamodernaweb

    (@vidamodernaweb)

    Listo, restauración al 08-12-2020, yo como usuario admin puedo crear y editar entradas, el único problema es actualizar o publicar, se queda pegado. Otros usuarios no admin de la web siguen con la pantalla en blanco cuando le dar crear o quieren editar entradas. El JQuery Migrate no tiene registros de códigos obsoletos.

Viendo 15 respuestas - de la 1 a la 15 (de un total de 20)
  • El debate ‘Librerías jQuery obsoletas tras update 5.6’ está cerrado a nuevas respuestas.